Navigation

  • next
  • AllProxy documentation »

Table of Contents

  • About this documentation
    • Document revision history
    • Disclaimer
    • Support & product feedback
    • Contact
  • Introduction
    • Basic features
    • Getting started
    • How does it work?
  • AllProxy Application’s Compatibility
    • Compatibility with 3rd party applications
  • Installation and Uninstallation of the AllProxy
    • AllProxy software installation process
    • AllProxy software uninstallation process
  • Working Principles
  • Application Functional Management
    • Proxy server managing
    • Proxification rules managing
    • Setting Remote Addresses
    • Columns customization
    • Default proxy
    • Forced proxification
  • Settings Management
    • Control menu
    • Settings
  • Advanced mode
  • Connection log
    • Filters
    • Columns customization
    • Statistics
  • Indications and Notations
    • AllProxy Tray pop-up notification
  • Command line interface
  • Trial Mode Limitations
  • Registration
  • How to
    • How to add new proxy?
    • How to add new rule for all applications?
    • How to add new remote destination address for my browser?
    • How to set exception from proxification?
    • How to block applications?
    • How to deny changing configuration to Windows User?
  • Firewall Compatibility
  • Troubleshooting
    • Can’t transfer files
    • Can’t enter FTP server
    • Can’t speak through VoIP
    • Nod32 compatibility
    • Broken network connection
    • License key was not added to registry
    • Unable to fix network configuration
  • AllProxy End User License Agreement

Navigation

  • next
© Copyright 2004-2012, Verysoft. Created using Sphinx 0.6.5.


  • previous |

About this documentation

Copyright © 2004-2012 Verysoft, LLC. All rights reserved.

E-mails: contact@very-soft.com, support@very-soft.com

Web: http://very-soft.com

No part of this material may be reproduced or transmitted in any form or by any means or used to make any derivative work without express written consent from the copyright holders.

Document revision history

2009-12-30,1.0 | Initial documentation release for AllProxy software.
2010-03-30,1.1 | Updated copyright. Editorial corrections made.
2010-05-28,1.5 | Pictures updated. Editorial corrections made.
2011-01-17,1.9 | Updated copyright. Pictures updated. New features description added.
2011-09-20,2.0 | Pictures updated. New features description added.
2011-11-11,2.1 | New pictures added. New features description added.
2012-03-23,2.2 | Updated registration procedure description.
2012-05-04,2.3 | Added info about connection log.

Disclaimer

Verysoft, LLC makes no warranty for the use of its products, other than those expressly contained in the Company’s standard warranty which is detailed in the Terms and Conditions located on the Company’s Website. The Company assumes no responsibility for any errors which may appear in this document, reserves the right to change devices or specifications detailed herein at any time without notice, and does not make any commitment to update the information contained herein. According to the license agreement which text you can find in the AllProxy End User License Agreement chapter, AllProxy application is distributed with “AS IS” principle.

Support & product feedback

We provide an electronic support and feedback system for our Verysoft products. It can be accessed through the following web link: http://very-soft.com

Your feedback and comments are always welcome! It helps improving this product!

Contact

For further information about the AllProxy product or this document please contact us at:

Verysoft, LLC

Website: http://very-soft.com

Contact: contact@very-soft.com

Support: support@very-soft.com

Navigation

  • next
  • previous |


Introduction

We appreciate your interest to the AllProxy application. The AllProxy was designed to redirect network connections in Windows OS platforms. So, you can easily adjust network exchange of your operating system in accordance with your requirements.

Basic features

  • Command line interface support
  • IPv4 and IPv6 protocols support
  • Compatible with next proxy server types: HTTP, HTTP-WEB, SOCKS v.4, SOCKS v.5
  • Single click proxy testing opportunity
  • Specifying rules for Windows Users&Groups
  • Forced proxification for applications
  • Quick setup for redirecting all programs
  • Specifying remote hosts in rules (IP, DNS)
  • Rules priority support
  • Proxy server types auto-detection
  • Basic and digest proxy authentication for HTTP proxies support
  • Multi-language interface
  • Intuitively clear interface

Note!

Note

Future releases of the AllProxy will be updated with new features. As usual we taking into consideration your critical reviews and ideas to make our software products better and suit your needs.

Getting started

When you launch the AllProxy for the first time, a window like the following should come up:

AllProxy main window

On the top you can see three buttons:

  • Manage rules

    Open Rule list dialog window, where you can specify different rules to proxify applications.

  • Proxy list

    Open window with a list of proxy servers, where you can add your proxy servers. Since you have not created any, the list is empty.

  • Control

    Open context menu with AllProxy settings.

Quick-start

  1. Click on Direct on the right side of the main window and select “New proxy” item.
Switching default proxy
  2. In appeared dialog window specify name, IP address or DNS, port, type of the proxy server. If it is necessary, select “Proxy requires authentication” mark and enter your login and password.
New proxy adding dialog
  3. As a result, this created proxy will be set as default proxy and all your client applications will connect through the AllProxy to the specified proxy server, and then to the Internet.

How does it work?

Specified applications will establish their connections through AllProxy to the proxy server and then to the Internet.

Connection process overview


AllProxy Application’s Compatibility

Minimal computer requirements:

  • Operating System: Windows XP/Vista/Windows 7 (32/64 bit);
  • Installed Microsoft .Net Framework v2.0 and higher.

Warning!

Warning

Listed data does not include requirements for Microsoft .Net Framework v2.0 or higher. If you don’t have appropriate technical information about your software or hardware configuration, please refer to User Manuals of your device(s) or application(s).

Compatibility with 3rd party applications

Technical Engineers of Verysoft company tested compatibility with number of popular applications. AllProxy program is fully compatible with such software titles, as:

  • Proxy-servers: WinGate, UserGate, Kerio WinRoute, FreeProxy, Squid, 3proxy;
  • Internet browsers: Internet Explorer, Opera, Firefox, Chrome;
  • Mail Clients: Microsoft Outlook, The Bat!, Mozilla Thunderbird;
  • Download Managers: ReGet, Download Master, FlashGet;
  • IM-clients: ICQ, Miranda, QIP, qutIM, mIRC, x-chat, KvIRC;
  • VoIP-clients: Skype, X-Lite;
  • Torrent-clients: uTorrent, BitTorrent, BitComet;
  • P2P-clients: DC++, StrongDC++;
  • Antivirus software and firewalls: Kaspersky AV, Dr.Web, NOD32, Comodo.

Note!

Note

It is far not a complete list of compatible titles, but it helps to understand that AllProxy is one of the most accessible, reliable and easy-to-use applications.


Installation and Uninstallation of the AllProxy

You can download AllProxy from the developer’s official web-site: http://very-soft.com/product/allproxy or from web-resources of third party distributors.

AllProxy software installation process

Warning!

Warning

Before installing the AllProxy, please remove other proxification programs from your computer, because AllProxy is not compatible with them!

To initiate setup process, execute installation binary file AllProxy-setup.msi, and answer on dialog questions.

If you have any troubles or errors during installation, please, refer to “Frequently asking questions and troubleshooting” section on the official web site.

Warning!

Warning

Please, read carefully text of the AllProxy End User License Agreement which is displayed on the screen of your PC during installation process. If you are not agree with license conditions you must cancel the installation and delete all application copies and related materials from all available storages. You can mail all your complaints and orders for special licensing conditions to: support@very-soft.com

AllProxy software uninstallation process

Open Control Panel -> Add or Remove Programs or Programs and Features (in Windows 7) item. Select AllProxy item and click “Remove” button, answer on dialog questions.

Warning!

Warning

To avoid penetration of your PC by virus and other malicious software DO NOT COPY OR INSTALL applications hosted on UNTRUSTED web sites or sent to you by unknown identities. We recommend to download AllProxy and other Verysoft applications from the official web-site: http://very-soft.com


Working Principles

As was said, AllProxy was designed to redirect network connections through a proxy server.

Proxy server:

In computer networks, a proxy server is a server (a computer system or an application program) that acts as an intermediary for requests from clients seeking resources from other servers. A client connects to the proxy server, requesting some service, such as a file, connection, web page, or other resource, available from a different server. The proxy server evaluates the request according to its filtering rules.

Proxification:

Redirection of the network traffic through a proxy server on basis of some rules.

Rule:

Set of conditions under which the proxification will be performed.
Note!

Note

The AllProxy supports rules priority, this means that if the rule stands above another rule, it has more priority. The order matters!


Application Functional Management

Proxy server managing

For operating instructions with a proxy server you need to know its type, address (IP or DNS), port number and optional parameters for access (login, password).

To manage proxies click “Proxy list” button on the main window. As a result the “Proxy list” dialog window is opened.

Adding new proxy server

  1. Click “Add proxy”.
  2. In appeared dialog window specify name, IP address or DNS, port, type of the proxy server. If it is necessary, select “Proxy requires authentication” mark and enter your login and password.
New proxy adding dialog

Note!

Note

If you don’t know type of the proxy server which you have specified, take advantage of “Auto detect” button.
  3. After all modifications made press “OK” button.
  4. In “Proxy list” dialog window press “Apply” button for saving changes.

Note!

Note

AllProxy supports “basic” and “digest” authentication for “HTTP” and “HTTP-WEB” proxy types. For more information see http://en.wikipedia.org/wiki/Digest_access_authentication

AllProxy supports next IP address formats:

  • Dot-decimal notation: 192.0.2.235
  • Dotted Hexadecimal: 0xC0.0x00.0x02.0xEB
  • Dotted Octal: 0300.0000.0002.0353
  • Hexadecimal: 0xC00002EB
  • Decimal: 3221226219
  • Octal: 030000001353

HTTP and HTTP-WEB

  • “HTTP-WEB” proxy type redirects only HTTP traffic, using “GET” queries. This proxy type suits for web browsers only. But for your convenient, when you establish connection on 443 or 563 port, traffic will be redirected through “http connect”.
  • “HTTP” proxy type redirects any traffic and uses “http connect” method.
Note!

Note

The AllProxy redirects outgoing client connections only, that use WinSock over TCP transport protocol.

Testing proxy server

For convenience and simplicity of settings in AllProxy application the testing possibility of the specified proxy servers is realized. To sure that specified configuration is efficient, use “Test proxy” button, located in the left lower corner of the window. By default the AllProxy application will test connection to the “google.com” web-site, but you can choose any other.

Testing proxy server dialog
Note!

Note

It is necessary to receive exact customizations of a proxy server from your provider to access the “Internet”, or from a network administrator.

Proxification rules managing

Here are basic operations for working with proxification settings. To manage proxification rules click “Manage rules” button in the main window. As a result the “Rule list” dialog window is opened.

Rules list dialog

For your convenience, initially there is a “Default” default rule added, which redirects all applications through the “Default proxy”.

Warning!

Warning

If a connection does not fit any rule, it will go directly!

Adding rules

To add a new rule follow next steps:

  1. Open “Add rule”.
  2. In appeared “Rule options” dialog box specify name of the rule, choose proxy server, which through the rule will be executed.
Rule for all applications
  3. Choose applications, which will work under the rule. Unmark the “Apply rule for all programs” and press “Add” button. You can choose file or running program.
Rule for all applications
  4. After you finished rule customization press “OK” button.
  5. Do not forget to save changes by pressing “Apply” button in “Rule list” dialog window to complete creation process.
Note!

Note

As was said the order of layout of rules matters. At coincidence of conditions the rule will be applied, which the first has met in the list. The priority of units in the list decreases from top to down.

Editing rules

Every created rule could be easily edited using the same interface. To access editing interface in the “Rule list” dialog window select the rule you want to edit and click “Edit rule” icon.

After modifications of the proxification rule were made, please do not forget to save the common configuration of AllProxy application by pressing “Apply” button.

Deleting rules

To remove a rule select it and press “Delete” icon in the “Rule list” dialog window.

After removing of one or several rules, please do not forget to save the common configuration of AllProxy application by pressing “Apply” button.

Changing priority

To change priority of a rule just click appropriate button “Priority up” or “Priority down”.

Rule list dialog
Note!

Note

Press “Apply” button for saving changes in “Rule list” dialog window. If you want to apply the rule for all programs select “Apply rule for all programs” mark.

Setting Remote Addresses

The AllProxy allows setting concrete addresses in the “Internet” to be proxified:

  1. Open “Rule options” dialog window.
  2. Select “Remote destinations” tab.
Remote destinations adding dialog
  3. Click “Add” and select “New destination” item to add remote address.
Remote destinations adding dialogs
  4. In appeared dialog window you can specify: domain, single IP, IP range, IP/mask and IP and subnet mask of the remote hosts. After you enter appropriate remote address, click “OK” button.
Rules list dialog
  5. Do not forget to click “Apply” button to save changes.
Note!

Note

Also, you can configure the given settings so that calls to all addresses were routed to networks “Internet” through the specified proxy server. For this purpose select the “Apply rule for any remote destination” mark.

Columns customization

You can easily configure AllProxy main window by customizing columns. Just right click on the table and mark columns you want to see on the main window.

Using this feature you can also observe active connections estableshed by other Windows Users, by enabling “User” column.

Default proxy

You can easily switch default proxy from the AllProxy main window. Just click on the name of current default proxy and choose another.

Default proxy switching

Forced proxification

You can also use “Forced proxification” feature.

  1. Choose any program on your desktop or any other place.
  2. Press right mouse button.
  3. In appeared context menu select “Run over AllProxy“.
Note!

Note

This feature runs program through a default proxy, specified in the AllProxy, and ignores all rules specified in “Rule list”. This operation does not create any rule in “Rule list” and it is one-time process until the executable program won’t be closed.


Settings Management

You can find all available settings in “Control” menu and “Settings” submenu.

Control menu

Enable/Disable proxification
Turn the proxification on/off
AllProxy control
Import configuration...
Import AllProxy configuration from file
Export configuration...
Save current AllProxy configuration to file (.xml format)
Settings...
Open “Settings” dialog window
Help
Open help
Registration
Open registration dialog
About AllProxy
Open AllProxy dialog window with general information

Settings

“Settings” dialog window contains 3 tabs:

  • Main
  • View
  • Log

Main tab

Language
Set program language: english, russian
Main tab
Load on system boot
Launch the AllProxy on computer start-up
Process & show direct connections
Process all direct connections and show them in the list of active connections. Thus, AllProxy will use additional computer resources.
Note!

Note

We are always glad to add new languages support in every our application to meet your wishes. If you want to help us in application localization you are always welcome to post your suggestions on our forum: http://very-soft.com/forum or send message to e-mail: support@very-soft.com

View tab

Advanced mode
Enables Advanced mode
View tab
Tray icon animation
Animate AllProxy tray icon
Autosize table columns
Autosize columns to fit table sizes
Hide extra tooltips
Hide all extra tooltips
Generate proxy names
Generate name for each created proxy
Enable all messages
Show all dialog windows with questions
Set UI defaults
Restore windows’ sizes and positions

Log tab

Path
Log file location
Log tab
Log level
Specify log level
Max file size
Maximum log file size
Rotation count
Number of log files. If it is reached, log files will be rewrited in cycle


Advanced mode

All AllProxy advanced features are hidden by default.

  1. “Process & show direct connections” and “Open log” in “Control” menu. First option allows processing and showing direct connections and last - opening log file.
  2. “Import” proxy in “Proxy list”. You can import proxies from files, buffer, sites, etc., by drag-and-drop. Next proxy list formats supported:
HTTP example.com:8080
HTTP example.com 8080
example.com 8080 HTTP
example.com:8080 HTTP
http://example.com:8080
Add proxy pop-up menu
  3. Users&Groups tab in “Rule options” dialog. You can specify exact users/groups which connections will be proxified.
  4. Import remote addresses on “Remote destinations” tab. You can import remote addresses from files or by drag-and-drop (IP, IP range and IP/mask currently supported). This list should be in plain-text:
192.168.0.100
192.168.0.101-192.168.0.150
192.168.0.1/24


Connection log

The “Connection log” makes it easier to:

  • quickly find errors in rules
  • view detailed statistics
  • perform precise tuning of the AllProxy configuration upon obtained information

Filters

You can filter log content by adjusting several filters.

Time

Simple time filter.

Note!

Note

Time period in the “Connection log” starts when the AllProxy Service is started. So, you shut down your computer this log will be cleared. Please, use the “Open log” menu item to view AllProxy full log.

Status

Status filter for each connection: active, finished, or finished with error and other.

Applications

You can filter the log by certain applications.

Proxies

You can filter the log by certain proxy.

Rules

You can filter the log by certain rule.

Columns customization

You can set preferable columns through context menu, just right-click on the top of the table.

Statistics

Current statistics is shown at the bottom of the window. It depends on filters.


Indications and Notations

AllProxy application can inform you about current state and functionality.

  • When the application is completely efficient and functioning in a regular mode, you’ll see green associated icon of the AllProxy Tray application in the notification area.
  • When the proxification is turned off or program unexpectedly quited, you’ll see red AllProxy Tray icon.
  • When one of required components is not functioning, the AllProxy will let you know about it with the appropriate text message and next icon err.
  • When the “Tray icon animation” option is turned on and there are active connections, you’ll see next AllProxy Tray icons: out - sending data, in - receiving data.

AllProxy Tray pop-up notification

If you navigate on the AllProxy Tray icon, in pop-up notification you can observe current information: traffic - input and output, speed - input and output.


Command line interface

The AllProxy supports “Command line interface”. With help of CLI you can set-up all the AllProxy settings.

Basic syntax is next:

AllProxyCLI <option> <option-params>
Note!

Note

Type: AllProxyCLI help or AllProxyCLI help <option> to know more about command and see examples.

Operation | Description | Example
help | Show help or command option help | AllProxyCLI help
run | Launch application with forced proxification | AllProxyCLI run “C:\Program Files\Mozilla Firefox\firefox.exe”
rule | Rule management: delete, change priority, enable/disable, print, set proxy, change on default proxy, add, remove, clear fields. | AllProxyCLI rule “For all” /delete
proxy | Proxy management: delete, print info, change type, disable authentication, etc. | AllProxyCLI proxy “My proxy” /delete
import | Import AllProxy configuration | AllProxyCLI import C:\config.xml
export | Export AllProxy configuration | AllProxyCLI export C:\config.xml
test | Test proxy settings | AllProxyCLI test “My proxy”
register | Register AllProxy (Requires Administrator rights!) | AllProxyCLI register XXXX-XXXX-XXXX-XXXX
Warning!

Warning

During registration procedure connection goes directly! To register the AllProxy through existing proxy use next example: “C:\Program Files\Verysoft\AllProxy\AllProxyCli” run /proxy “My Proxy” “C:\Program Files\Verysoft\AllProxy\AllProxyCli” register XXXX-XXXX-XXXX-XXXX


Trial Mode Limitations

Trial version of the AllProxy has couple of limitations that are applied only to unregistered copy of the application.

They are as follows:

  • Remote destinations tab is not available.

Warning!

Warning

Trial version is limited to 15 days. After it expires, please, register to continue using the AllProxy.


Registration

Before registering the AllProxy install it on a computer, which you are going to use. Purchase the AllProxy and after purchase succeed you’ll receive registaration key and instructions through email.

Select “Register” in menu and enter the license key in the following window.


How to

How to add new proxy?

  1. Click “Proxy list” icon in main window.
AllProxy main window
  2. Click “Add proxy” icon.
Proxies list dialog
  3. Specify new proxy’s name, address, port, type. If the proxy server requires authentication, mark “Proxy requires authentication” and enter your login and password.
New proxy adding dialog
  4. Click “OK” button.
  5. Click “Apply” button in “Proxy list” window to save changes.

How to add new rule for all applications?

  1. Click “Manage rules” icon in main window.
AllProxy main window
  2. Click “Add rule” button.
Rules list dialog
  3. Specify rule’s name, proxy server, which through it’ll be performed, and mark “Apply rule for all programs”.
Rule for all connections
  4. Click “OK” button.
  5. Click “Apply” button in “Rule list” window to save changes.

How to add new remote destination address for my browser?

  1. Create a new rule.
  2. On “Programs” tab click “Add” icon. You can choose file or running program.
Rule for browser
  3. In appeared dialog window select your browser execute file.
  4. Click “OK” button.
  5. Select “Remote destinations” tab in “Rule options” window.
Remote destinations tab
  6. Click “Add item” icon.
  7. In appeared dialog window select appropriate remote address and enter it.
Remote destinations dialog
  8. Click “OK” button.
  9. Click “OK” button in “Rule options” window.
  10. Click “Apply” button in “Rule list” window to save changes.

How to set exception from proxification?

  1. Click “Manage rules” icon in main window.
AllProxy main window
  2. Click “Add rule” button.
Rules list dialog
  3. Enter rule name and select “Block connections” as proxy.
  4. Select “Remote destinations” tab and click “Add” button.
Rule for local network
  5. Click “New destination” item.
  6. In appeared dialog window select the “IP Range” and enter first and last addresses of local network.
Rule for local network
  7. Click “OK” button.
  8. Click “OK” button.
  9. Click “Apply” button to save changes.

How to block applications?

  1. Create a new rule.
  2. Specify “Blocking” in name field and select “Block Connections” as a proxy.
  3. Specify applications to be blocked.
  4. Click “Apply” button.

Warning!

Warning

AllProxy blocks connections that use only WinSock over TCP transport protocol.

How to deny changing configuration to Windows User?

So, if you want to deny changing AllProxy configuration to, for example “Guests” group, perform next steps:

  1. Enter “C:\ProgramData\Verysoft LLC\AllProxy\” directory.
  2. Right-click on “settings.xml” file and select “Properties”.
  3. In appeared window select “Security” tab and click “Add” button.
  4. In appeared window click “Find now” button and select “Guests” group in the list below.
  5. Click “OK” button, then select “Guests” in the list and mark “Deny” against “Write” in “Permissions for Guests”, as shown below:
  6. Click “OK” button. Now all users from “Guests” group cannot change AllProxy configuration.


Firewall Compatibility

In case, when you have installed or built-in firewall application on your computer, you should properly adjust firewall settings in order to use all functions of the AllProxy.

  1. Open your firewall and allow “AllProxyService.exe” and “AllProxyUI.exe” applications performing outgoing TCP connections.
  2. Then allow “AllProxyService.exe” application accepting incoming and outgoing connections on the loopback (127.0.0.1).


Troubleshooting

Can’t transfer files

It is possible that you could not transfer any files through ICQ or MIRC applications (if they are proxified), because their connections would go through the AllProxy, which will masquerade IP and port of the sender.

Can’t enter FTP server

Probably, you need to change type of access in application from active to passive.

Can’t speak through VoIP

Probably, you need SOCKS5 type of a proxy server for SIP telephony.

Nod32 compatibility

The AllProxy might work incorrect with Nod32 application, if the “Process & show direct connections” option is turned on.

There are two ways to solve the problem:

  1. Set direct connection for “ekrn.exe” application and turn off the “Process & show direct connections” option;
  2. Enter Nod32 configuration (F5), select “HTTP, HTTPS” item on the left side of the window, select “Web-browsers” and unmark AllProxyService.exe application. But you need to understand that if you’ll use this approach, Nod32 won’t protect you computer properly!

Broken network connection

If you have a message as shown on the screen:

It means that your network connection was broken. Just double click on the AllProxy icon, answer the question.

License key was not added to registry

  1. Probably you do not have enough access rights on file with the license key. Please, refer to your system administrator to solve this problem.
  2. Probably you have specified file with the license key located in network. Please, copy it to your local computer and specify it again.

Unable to fix network configuration

There are many different cases for such situation. Please, contact with our support to solve the problem.


  • previous
  • AllProxy documentation »

AllProxy End User License Agreement

PLEASE, READ THIS LICANSE AGREEMENT CAREFULLY.

This End User License Agreement (“EULA”) is a legal agreement between you (either an individual or a single entity) and Verysoft, LLC. This EULA covers all existing versions of AllProxy software: AllProxy, AllProxy Lite and AllProxy Pro and their beta and demo-versions of the software from now on referred below as “PRODUCT” unless otherwise specified.

This PRODUCT is shareware (TRY before you BUY). This means:

  1. All rights on this PRODUCT are exclusively owned by Verysoft, LLC. Verysoft, LLC reserves all rights not expressly granted to you in this EULA.

  2. The PRODUCT is protected by copyright and other intellectual property laws and treaties. Verysoft, LLC owns the PRODUCT title, PRODUCT content, copyright, and other intellectual property rights in the PRODUCT excepting third-party software products and modules included in the PRODUCT, if any. The PRODUCT is licensed, not sold.

  3. This PRODUCT is distributed “AS IS”. No warranty of any kind is expressed or implyed. You use it at your own risk. The author won’t be liable for data loss, damages, loss of profits or any other kinds of loss while using or missusing this PRODUCT.

  4. You must not emulate, clone, rent, lease, sell, modify, decompile, disassemble and reverse engineer the PRODUCT. Any attempt of unauthorized usage will result in immediate and automatic termination of this EULA and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by Verysoft, LLC.

  5. Installing, copying, loading and otherwise using this software signifies the acceptance of the all terms of this EULA and conditions.

  6. If you do not agree with the terms and conditions of this EULA you must remove installed software and all its files from your storage devices and cease to use the PRODUCT.

  7. “COMPUTER” term in this EULA represents either electronic equipment itself if it is serving as a separate computing individual or computer system (mainframe) in the part computer belongs to.

  8. This license agreement with end-user (including all supplements and modifications, that deliver with software) is full legal agreement between you and Verysoft, LLC about mentioned in this EULA PRODUCTS and commute for all previous and current oral and written statements, announcements, suggestions and declarations concerning licensed software. If any of clause in current agreement become void, impracticable or unlawful, all the rest of clauses are in force legal.

    • If you already register PRODUCT, please, refer the section A. “FOR REGISTRED USERS”.
    • If you use unregistered version of PRODUCT, please, refer the section B. “FOR UNREGISTRED USERS”.

    A. “FOR REGISTRED USERS”

A.1. After PRODUCT registration Verysoft, LLC gives you the “Activation code”. “Activation code” incarnates the right to use with one version of the licensed software under the conditions listed in this EULA.

A.2. Once registered, the user is granted a non-exclusive, transferable single license for any legal purposes, without right on sub-license, to use this PRODUCT in accordance with this EULA and any other written agreement with Verysoft. Single copy of the license gives you the right to use PRODUCT ONLY ON THE ONE COMPUTER IN CURRENT HARDWARE CONFIGURATION. CURRENT HARDWARE CONFIGURATION means that program uses for internal needs information about your MOTHERBOARD, PROCESSOR and HARD DRIVE. If you change any of listed part you may need to reactivate “Activation code”. For code reactivation process you should contact Verysoft Support Team with description of key unacceptability reasons. In any case “Activation code” can be exchanged free of charge not more that 2 times in a half of a year. Otherwise you should order “License for Extra Service”.

A.3. License itself and software can’t be leased or rent, but can be granted to third-party individuals (parties) for constant use if they accept all terms of this agreement.

A.4. “License for Extra Service” includes fixed amount of “Activation code(s)” and consultation(s) from Verysoft Support Team about “Activation code” usage.

A.5. “License for Extra Service” granted only as an additional option to a main registration and can’t be used for ordering a new licenses. Any attempt of unauthorized licensing will result in immediate and automatic termination of all agreements and “Activation codes” belongs to user will be deprecated.

B. “FOR UNREGISTRED USERS”

B.1. Anyone may use unregistered limited version of this software during trial period. If you wish to have fully operable PRODUCT version, you must register.

B.2. The unregistered version of this PRODUCT may be freely distributed, provided the as non-modified distribution package. If the PRODUCT is an update version, the transfer must include this update and all the previous versions. None of person or company may charge a fee for the distribution of this PRODUCT without written permission from the copyright holder.

Thank you for using our Software Products.

Verysoft, LLC

http://very-soft.com

contact@very-soft.com

support@very-soft.com

  • previous